Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 886314 - MDRaidError: md_node_from_name failed: [Errno 2] No such file or directory: '/dev/md/root'
Summary: MDRaidError: md_node_from_name failed: [Errno 2] No such file or directory: '...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4214e1bb8f61a50916a4c46f071...
Depends On:
Blocks: bonding, Bug, interface, multiple
TreeView+ depends on / blocked
 
Reported: 2012-12-12 01:59 UTC by Robert Lightfoot
Modified: 2014-02-05 13:48 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 13:48:45 UTC


Attachments (Terms of Use)
File: anaconda-tb (deleted)
2012-12-12 01:59 UTC, Robert Lightfoot
no flags Details
File: product (deleted)
2012-12-12 01:59 UTC, Robert Lightfoot
no flags Details
File: type (deleted)
2012-12-12 01:59 UTC, Robert Lightfoot
no flags Details
File: storage.log (deleted)
2012-12-12 01:59 UTC, Robert Lightfoot
no flags Details
File: version (deleted)
2012-12-12 01:59 UTC, Robert Lightfoot
no flags Details
File: environ (deleted)
2012-12-12 01:59 UTC, Robert Lightfoot
no flags Details
File: executable (deleted)
2012-12-12 01:59 UTC, Robert Lightfoot
no flags Details
File: anaconda.log (deleted)
2012-12-12 01:59 UTC, Robert Lightfoot
no flags Details
File: syslog (deleted)
2012-12-12 01:59 UTC, Robert Lightfoot
no flags Details
File: hashmarkername (deleted)
2012-12-12 01:59 UTC, Robert Lightfoot
no flags Details
File: packaging.log (deleted)
2012-12-12 01:59 UTC, Robert Lightfoot
no flags Details
File: cmdline_file (deleted)
2012-12-12 01:59 UTC, Robert Lightfoot
no flags Details
File: release (deleted)
2012-12-12 01:59 UTC, Robert Lightfoot
no flags Details
File: program.log (deleted)
2012-12-12 01:59 UTC, Robert Lightfoot
no flags Details
F18-TC1-386 raid10 config screen which failed (deleted)
2012-12-18 07:54 UTC, Robert Lightfoot
no flags Details
F18-TC3 Choose Storage (deleted)
2012-12-21 22:52 UTC, Robert Lightfoot
no flags Details
F18-TC3 Choose Storage 2 (deleted)
2012-12-21 22:53 UTC, Robert Lightfoot
no flags Details
F18-TC3 Root Partition (deleted)
2012-12-21 22:54 UTC, Robert Lightfoot
no flags Details
F18-TC3 Swap Partition (deleted)
2012-12-21 22:54 UTC, Robert Lightfoot
no flags Details
F18-TC3 Raid10 / partition (deleted)
2012-12-21 22:55 UTC, Robert Lightfoot
no flags Details
F18-TC3 Boot Partition (deleted)
2012-12-21 22:56 UTC, Robert Lightfoot
no flags Details

Description Robert Lightfoot 2012-12-12 01:59:05 UTC
Description of problem:
F18-TC1 QA:Test Case Partitioning on Software Raid

Version-Release number of selected component:
anaconda-18.36

Additional info:
libreport version: 2.0.18
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.9-4.fc18.i686

description:
:The following was filed automatically by anaconda:
:anaconda 18.36 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/devicelibs/mdraid.py", line 263, in md_node_from_name
:    raise MDRaidError("md_node_from_name failed: %s" % e)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/devices.py", line 3070, in _postCreate
:    md_node = mdraid.md_node_from_name(self.name)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/devices.py", line 789, in create
:    self._postCreate()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 241, in execute
:    self.device.create()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 323, in processActions
:    action.execute()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/__init__.py", line 336, in doIt
:    self.devicetree.processActions()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/__init__.py", line 174, in turnOnFilesystems
:    storage.doIt()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/install.py", line 114, in doInstall
:    turnOnFilesystems(storage)
:  File "/usr/lib/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
:    threading.Thread.run(self, *args, **kwargs)
:MDRaidError: md_node_from_name failed: [Errno 2] No such file or directory: '/dev/md/root'

Comment 1 Robert Lightfoot 2012-12-12 01:59:22 UTC
Created attachment 661888 [details]
File: anaconda-tb

Comment 2 Robert Lightfoot 2012-12-12 01:59:24 UTC
Created attachment 661889 [details]
File: product

Comment 3 Robert Lightfoot 2012-12-12 01:59:25 UTC
Created attachment 661890 [details]
File: type

Comment 4 Robert Lightfoot 2012-12-12 01:59:32 UTC
Created attachment 661891 [details]
File: storage.log

Comment 5 Robert Lightfoot 2012-12-12 01:59:34 UTC
Created attachment 661892 [details]
File: version

Comment 6 Robert Lightfoot 2012-12-12 01:59:35 UTC
Created attachment 661893 [details]
File: environ

Comment 7 Robert Lightfoot 2012-12-12 01:59:37 UTC
Created attachment 661894 [details]
File: executable

Comment 8 Robert Lightfoot 2012-12-12 01:59:39 UTC
Created attachment 661895 [details]
File: anaconda.log

Comment 9 Robert Lightfoot 2012-12-12 01:59:42 UTC
Created attachment 661896 [details]
File: syslog

Comment 10 Robert Lightfoot 2012-12-12 01:59:43 UTC
Created attachment 661897 [details]
File: hashmarkername

Comment 11 Robert Lightfoot 2012-12-12 01:59:48 UTC
Created attachment 661898 [details]
File: packaging.log

Comment 12 Robert Lightfoot 2012-12-12 01:59:50 UTC
Created attachment 661899 [details]
File: cmdline_file

Comment 13 Robert Lightfoot 2012-12-12 01:59:51 UTC
Created attachment 661900 [details]
File: release

Comment 14 Robert Lightfoot 2012-12-12 01:59:54 UTC
Created attachment 661901 [details]
File: program.log

Comment 15 Robert Lightfoot 2012-12-12 02:13:30 UTC
F18-TC1 QA Test Case Software Raid

Package: anaconda-18.36
Architecture: x86_64
OS Release: Fedora release 18-TC1

Comment 16 Robert Lightfoot 2012-12-12 07:45:54 UTC
Failures above were with two disks and RAID10 specified, testing with RAID0 works with 2 disks.

Comment 17 Robert Lightfoot 2012-12-12 08:23:47 UTC
Additional Tests with 4 disks and Raid0 and Raid4 Parity succeed while Raid10 redundancy failed.

Comment 18 David Lehman 2012-12-14 23:07:54 UTC
FWIW I just successfully installed to a two-disk raid10 root filesystem created by anaconda with smoke6 in qemu/kvm.

Comment 19 Adam Williamson 2012-12-18 03:47:49 UTC
Bob, can you provide any more details about your configuration here?

Comment 20 Robert Lightfoot 2012-12-18 07:51:43 UTC
I tested this in VM on Centos 6.3 Host.  First test was conducted with two 12.0 GB Virtio Drives.  And then repeated with 4 12.0 GB virtio drives.  /boot was 500mb and swap was 2gb.  I know very little about raid and used the defaults in most cases.  I can repeat test in a day or so with TC3 once disos rebuild.

Comment 21 Robert Lightfoot 2012-12-18 07:54:30 UTC
Created attachment 665351 [details]
F18-TC1-386 raid10 config screen which failed

I did have a snapshot of the raid config screen which failed.

Comment 22 Adam Williamson 2012-12-21 19:06:30 UTC
Discussed at 2012-12-21 blocker review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-21/f18final-blocker-review-7.2012-12-21-18.33.log.txt . David says he's done many installs without hitting this and no-one else seems to have reproduced, so for now it's rejected as a blocker on the basis that it seems to be an oddball result. But it can be re-proposed if we can find a reliable reproducer.

I note that Bob is using 32-bit, David was testing with 64-bit. I will try and reproduce Bob's case as closely as I can, with 32-bit, and see if I can trigger the bug.

Comment 23 Robert Lightfoot 2012-12-21 22:49:46 UTC
2 disk raid test

Package: anaconda-18.37.3
OS Release: Fedora release 18-TC3

Comment 24 Robert Lightfoot 2012-12-21 22:52:26 UTC
Created attachment 667471 [details]
F18-TC3 Choose Storage

Comment 25 Robert Lightfoot 2012-12-21 22:53:24 UTC
Created attachment 667484 [details]
F18-TC3 Choose Storage 2

Comment 26 Robert Lightfoot 2012-12-21 22:54:03 UTC
Created attachment 667487 [details]
F18-TC3 Root Partition

Comment 27 Robert Lightfoot 2012-12-21 22:54:44 UTC
Created attachment 667488 [details]
F18-TC3 Swap Partition

Comment 28 Robert Lightfoot 2012-12-21 22:55:29 UTC
Created attachment 667489 [details]
F18-TC3 Raid10 / partition

Comment 29 Robert Lightfoot 2012-12-21 22:56:09 UTC
Created attachment 667490 [details]
F18-TC3 Boot Partition

Comment 30 Robert Lightfoot 2012-12-21 22:58:49 UTC
Just repeated this test.  Used as Host System Centos 6.3 kernel 2.6.32-279.19.1.el6.x86_64.  Created a vm with two 12 gb virtio disks.  The partitoning layout is in the several attached screenshots.

Comment 31 Robert Lightfoot 2012-12-21 23:35:44 UTC
I just repeated this test on my system using TC3-x86_64-DVD.iso and the bug is not encountered.  It seems to be relevant to the i386 arch.

Comment 32 Adam Williamson 2013-01-03 00:07:21 UTC
I tried to reproduce this with TC3 i386 and still couldn't, it makes it to package install for me. I set the machine up with two disks (15GB and 10GB), emptied both, created partitions 'automatically', modified the / partition to RAID10 and the other two partitions to standard ext4, and started the install: it worked fine. Not sure what you're hitting that I'm not, but at this point I'm not sure this is a blocker, it seems a bit of a corner case.

I'm using F18 as both host and guest.

Comment 33 Robert Lightfoot 2013-01-03 04:17:49 UTC
The strange gets stranger.  I tried AdamW's procedure with blank disks of 15gb and 10gb and the Raid10 worked.  I then tried AdamW's procedure with disks of 12gb and 12gb and got the same error/bug.  I then tried with two 15gb disks and it worked.  Not sure what is so special about two 12 gb disks?  
Centos 6.3 qemu/kvm host using virt-manager.

Comment 34 Adam Williamson 2013-01-04 03:59:31 UTC
that is crazy odd, but at least means the bug definitely seems to be a small corner case. any takers for 'what's special about 12GB'? Some kind of borderline?

Comment 35 Robert Lightfoot 2013-04-03 21:53:50 UTC
I've not seen any cases of this mentioned other than my test case.  Do we need to keep this bug open?

Comment 36 Adam Williamson 2013-04-03 22:04:44 UTC
I'll leave it up to the devs, but it'd be interesting to see if you can reproduce with F19. If you can dodge all the other land mines in order to get a valid test, of course :)

Comment 37 Robert Lightfoot 2013-04-04 00:17:37 UTC
I tried a 12gb twin setup raid in vbox for F19 and it worked I need to try this on Centos 6 as that's where the F18 bug showed up.

Comment 38 Robert Lightfoot 2013-04-04 02:06:05 UTC
Tested with Twin Drive Raid in qemu-kvm and this issue is nonm-existent for F19

Comment 39 Fedora End Of Life 2013-12-21 09:51:57 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 40 Fedora End Of Life 2014-02-05 13:48:48 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.